## groovy.ui
Class ConsoleSupport

Base class for console

author:
  James Strachan

version:
  $Revision: 6778 $

Field Summary
`Style` | `commandStyle`
`int` | `counter`
`Style` | `outputStyle`
`Style` | `promptStyle`
`GroovyShell` | `shell`

Constructor Summary
`ConsoleSupport()`

Method Summary
`void` | `addStylesToDocument(JTextPane outputArea)`
`Object` | `evaluate(String text)`
`Style` | `getCommandStyle()`
`Style` | `getOutputStyle()`
`Style` | `getPromptStyle()`
`GroovyShell` | `getShell()`
`void` | `handleException(String text, Exception e)`

Constructor Detail

### ConsoleSupport

    ConsoleSupport()

Method Detail

### addStylesToDocument

    void addStylesToDocument(JTextPane outputArea)

### evaluate

    Object evaluate(String text)

### getCommandStyle

    public Style getCommandStyle()

### getOutputStyle

    public Style getOutputStyle()

### getPromptStyle

    public Style getPromptStyle()

### getShell

    public GroovyShell getShell()

### handleException

    void handleException(String text, Exception e)